[general]
onelayout         = TRUE
dpadtoanalog      = TRUE
keyboardandmouse  = FALSE
mousespeed        = 5

[sony_dualsense]
guid              = 0CE6054C-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rxaxisplus    = dev_null
pad_rxaxisminus   = dev_null
pad_ryaxisplus    = dev_null
pad_ryaxisminus   = dev_null
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button2
pad_button1       = pad_button0
pad_button2       = pad_button1
pad_button8       = pad_button12
pad_button9       = pad_button8
pad_button12      = pad_button9

[sony_dualshock4_a]
guid              = 09CC054C-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rxaxisplus    = dev_null
pad_rxaxisminus   = dev_null
pad_ryaxisplus    = dev_null
pad_ryaxisminus   = dev_null
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button2
pad_button1       = pad_button0
pad_button2       = pad_button1
pad_button8       = pad_button12
pad_button9       = pad_button8
pad_button12      = pad_button9

[sony_dualshock4_b]
guid              = 05C4054C-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rxaxisplus    = dev_null
pad_rxaxisminus   = dev_null
pad_ryaxisplus    = dev_null
pad_ryaxisminus   = dev_null
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button2
pad_button1       = pad_button0
pad_button2       = pad_button1
pad_button8       = pad_button12
pad_button9       = pad_button8
pad_button12      = pad_button9

[sony_dualshock4_c]
guid              = 0BA0054C-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rxaxisplus    = dev_null
pad_rxaxisminus   = dev_null
pad_ryaxisplus    = dev_null
pad_ryaxisminus   = dev_null
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button2
pad_button1       = pad_button0
pad_button2       = pad_button1
pad_button8       = pad_button12
pad_button9       = pad_button8
pad_button12      = pad_button9

[sony_dualshock3]
guid              = 0268054C-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rxaxisplus    = dev_null
pad_rxaxisminus   = dev_null
pad_ryaxisplus    = dev_null
pad_ryaxisminus   = dev_null
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button3
pad_button2       = pad_button0
pad_button3       = pad_button2
pad_button4       = pad_button6
pad_button5       = pad_button7
pad_button6       = pad_button4
pad_button7       = pad_button5
pad_button8       = pad_button9
pad_button9       = pad_button8

[nn_dualshock2_clone_a]
guid              = 00060079-0000-0000-0000-504944564944
pad_button0       = pad_button3
pad_button2       = pad_button0
pad_button3       = pad_button2

[nn_dualshock2_clone_b]
guid              = 00010810-0000-0000-0000-504944564944
pad_button0       = pad_button3
pad_button2       = pad_button0
pad_button3       = pad_button2

[microsoft_xboxseries_a]
guid              = 02FF045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11
pad_button10      = pad_button13
pad_button11      = pad_button12

[microsoft_xboxseries_b]
guid              = 0B13045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11
pad_button10      = pad_button13
pad_button11      = pad_button12

[microsoft_xboxone_a]
guid              = 0B05045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xboxone_b]
guid              = 0B00045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xboxone_c]
guid              = 02FD045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xboxone_d]
guid              = 02EA045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xboxone_e]
guid              = 02E6045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xboxone_f]
guid              = 02E3045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xboxone_g]
guid              = 02E0045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xboxone_h]
guid              = 02DD045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xboxone_i]
guid              = 02D1045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xbox360_a]
guid              = 0719045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xbox360_b]
guid              = 02B6045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xbox360_c]
guid              = 02A8045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xbox360_d]
guid              = 02A1045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xbox360_e]
guid              = 0292045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xbox360_f]
guid              = 0291045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xbox360_g]
guid              = 028F045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[microsoft_xbox360_h]
guid              = 028E045E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[nintendo_switchpro]
guid              = 2009057E-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button2
pad_button1       = pad_button3
pad_button2       = pad_button0
pad_button3       = pad_button1
pad_button4       = pad_button5
pad_button5       = pad_button7
pad_button6       = pad_button12
pad_button7       = pad_button13
pad_button8       = pad_button11
pad_button9       = pad_button10
pad_button10      = pad_button9
pad_button11      = pad_button8
pad_button12      = pad_button4
pad_button13      = pad_button6

[valve_steamcontroller]
guid              = 11FF28DE-28DE-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[logitech_f310_a]
guid              = C21D046D-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[logitech_f310_b]
guid              = C216046D-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button2
pad_button1       = pad_button0
pad_button2       = pad_button1

[logitech_f510_a]
guid              = C21E046D-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[logitech_f510_b]
guid              = C218046D-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button2
pad_button1       = pad_button0
pad_button2       = pad_button1

[logitech_f710_a]
guid              = C21F046D-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[logitech_f710_b]
guid              = C219046D-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button2
pad_button1       = pad_button0
pad_button2       = pad_button1

[genesis_p65]
guid              = 05232563-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button3
pad_button2       = pad_button0
pad_button3       = pad_button2

[genesis_pv58_pv65]
guid              = 05752563-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button3
pad_button2       = pad_button0
pad_button3       = pad_button2

[msi_forcegc30_a]
guid              = 0C310D22-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button2
pad_button1       = pad_button0
pad_button2       = pad_button1

[msi_forcegc30_b]
guid              = 0C320D22-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button3       = pad_button2
pad_button4       = pad_button3
pad_button6       = pad_button4
pad_button7       = pad_button5
pad_button8       = pad_button6
pad_button9       = pad_button7
pad_button10      = pad_button8
pad_button11      = pad_button9
pad_button13      = pad_button10
pad_button14      = pad_button11

[gamesir_g4pro]
guid              = 061C8555-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[steelseries_stratusduo]
guid              = 14311038-0000-0000-0000-504944564944
pad_zaxisplus     = pad_button6
pad_zaxisminus    = pad_button7
pad_button6       = pad_button8
pad_button7       = pad_button9
pad_button8       = pad_button10
pad_button9       = pad_button11

[8bitdo_sn30proplus]
guid              = 61022DC8-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button1
pad_button1       = pad_button0
pad_button4       = pad_button2
pad_button6       = pad_button4
pad_button7       = pad_button5
pad_button8       = pad_button6
pad_button9       = pad_button7
pad_button10      = pad_button8
pad_button11      = pad_button9
pad_button13      = pad_button10
pad_button14      = pad_button11

[esperanza_vanquisher_a]
guid              = 05752563-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button0       = pad_button3
pad_button2       = pad_button0
pad_button3       = pad_button2

[esperanza_vanquisher_b]
guid              = 05262563-0000-0000-0000-504944564944
pad_zaxisplus     = pad_rxaxisplus
pad_zaxisminus    = pad_rxaxisminus
pad_rzaxisplus    = pad_ryaxisplus
pad_rzaxisminus   = pad_ryaxisminus
pad_button3       = pad_button2
pad_button4       = pad_button3
pad_button6       = pad_button4
pad_button7       = pad_button5
pad_button8       = pad_button6
pad_button9       = pad_button7
pad_button10      = pad_button8
pad_button11      = pad_button9
pad_button13      = pad_button10
pad_button14      = pad_button11

[saitek_x52pro]
guid              = 076206A3-0000-0000-0000-504944564944
pad_button27      = dev_null

[keyboardandmouse]
pad_xaxisplus     = ms_xaxisplus
pad_xaxisminus    = ms_xaxisminus
pad_yaxisplus     = kb_down
pad_yaxisminus    = kb_up
pad_rxaxisplus    = ms_xaxisplus
pad_rxaxisminus   = ms_xaxisminus
pad_ryaxisplus    = ms_yaxisplus
pad_ryaxisminus   = ms_yaxisminus
pad_dpadup        = kb_up
pad_dpadright     = ms_xaxisplus
pad_dpaddown      = kb_down
pad_dpadleft      = ms_xaxisminus
pad_button0       = ms_button0
pad_button1       = kb_space
pad_button2       = kb_lcontrol
pad_button3       = kb_e
pad_button4       = kb_l
pad_button5       = kb_z
pad_button6       = ms_zaxisminus
pad_button7       = ms_zaxisplus
pad_button8       = kb_tab
pad_button9       = kb_escape